Name: connexion-libs
Version: 0.4.6
Release: alt1

Summary: Connexion supplementary libraries
License: GPL
Group: Development/Python
Packager: Peter V. Saveliev <peet@altlinux.org>
Source0: connexion-libs.tar.gz
BuildPreReq: python-devel = %__python_version libncursesw-devel libreadline-devel

Requires: python-module-cxnet = %version-%release
Requires: python-module-cxutil = %version-%release
Requires: python-module-xreadline = %version-%release

%package -n python-module-cxnet
Summary: Connexion low-level networking library
Group: Development/Python
License: GPL
Requires: python = %__python_version

%package -n python-module-cxutil
Summary: Connexion common utilities
Group: Development/Python
License: GPL
Requires: python = %__python_version

%package -n python-module-xreadline
Summary: Connexion eXtended readline library
Group: Development/Python
License: GPL
Requires: python = %__python_version

%description 
This package provides Connexion-specific libraries

%description -n python-module-cxnet
Low-level networking library is implemented with FFI
(Foreign Functions Interface). I is not extremely
rapid, but extremely simple.

%description -n python-module-cxutil
Various internal utilities for Connexion project

%description -n python-module-xreadline
eXtended readline library for Connexion project

%prep
%setup -q -c %name-%version-%release

%build

%install
#make install root=%buildroot
for i in `find .  -maxdepth 1 -mindepth 1 -type d ! -name .svn`; do
	pushd $i
	python ./setup.py install \
		--root=%buildroot \
		--install-lib=%python_sitelibdir
	popd
done

%files

%files -n python-module-cxnet
%python_sitelibdir/cxnet*

%files -n python-module-cxutil
%python_sitelibdir/cxutil*

%files -n python-module-xreadline
%python_sitelibdir/xreadline*

%changelog
* Sun Mar 23 2008 Peter V. Saveliev <peet@altlinux.org> 0.4.6-alt1
- new libraries: cxnet, cxutil
- use distutils

* Sat Sep 08 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt3
- setproctitle removed as ALT-specific

* Tue Apr 24 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.0-alt2
- spec has been changed to satisfy the python policy

* Mon Apr 23 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.0-alt1
- first build

